services:
  changedetection:
    image: ghcr.io/dgtlmoon/changedetection.io:latest
    restart: unless-stopped

    volumes:
      - /home/docker/DenWatch:/datastore

    networks:
      - tan-network

    labels:
      - traefik.enable=true

      - traefik.http.routers.DenWatch.rule=Host(`watch.luckyden.org`)
      - traefik.http.routers.DenWatch.entrypoints=websecure
      - traefik.http.routers.DenWatch.tls=true

      - traefik.http.services.DenWatch.loadbalancer.server.port=5000

networks:
  tan-network:
    external: true
